import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import check from "./CheckPermissions";

var Authorized = function Authorized(_a) {
  var children = _a.children,
      authority = _a.authority,
      _b = _a.noMatch,
      noMatch = _b === void 0 ? null : _b,
      allowCheck = _a.allowCheck;
  var childrenRender = typeof children === 'undefined' ? null : children;
  var dom = check(authority, childrenRender, noMatch, allowCheck);
  return _jsx(_Fragment, {
    children: dom
  }, void 0);
};

export default Authorized;

